﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 520: (1 yr) CAL VER IEEE /9100+Opt600
DATE:                  2009-12-02 11:01:05
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       289
CONFIGURATION:         Datron 9100 (S6)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds520_1yr_ver_ieee_9100_opt600.txt,v $
#    $Date: 2009/12/02 18:59:27 $
#
#  Procedure Author:
#        DAC, DFM, VY
#@
#@ Models covered:
#@       TDS 500
#@         TDS 520
#@
#@ Source:
#@       TDS 520 Digitizing Oscilloscope
#@       Service Manual, Part No. 070-8312-01
#@
#@ Source Author:
#@       Tektronix
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or Later.
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub TDS500/600/700 Setup IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Self-Test IEEE
#        Sub TDS500/600/700 Sig Path Comp Cal IEEE
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#        Sub TDS500/600/700 Adjust Trig Level IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500 Specifications
#        Sub TDS520 (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /9100
#        Sub TDS520 (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /9100
#        Sub TDS500 (1 yr) Time Base IEEE /9100+Opt600
#        Sub TDS500 (1 yr) Delta Time IEEE /9100+Opt600
#        Sub TDS500 (1 yr) Trig Time Acc IEEE /9100+Opt600
#        Sub TDS500 (1 yr) Trig Level Acc IEEE /9100+Opt600
#        Sub TDS500 (1 yr) Probe Comp IEEE /9100
#        Sub TDS500 (1 yr) Bandwidth IEEE /9100+Opt600
#        Sub TDS500 (1 yr) Sens IEEE /9100+Opt600
#        Sub TDS500 (1 yr) Aux Trig In Sens IEEE /9100+Opt600
#
# Required Files:
#        91_2w_1.jpg       Picture: DC Volts Connection - Channel 1
#        91_2w_2.jpg       Picture: DC Volts Connection - Channel 2
#        91_2w_3.jpg       Picture: DC Volts Connection - Channel 3
#        91_2w_4.jpg       Picture: DC Volts Connection - Channel 4
#        91_4ck_1.jpg      Picture: 9100 Scope Sig Out - Channel 1
#        91_4ck_2.jpg      Picture: 9100 Scope Sig Out - Channel 2
#        91_4ck_3.jpg      Picture: 9100 Scope Sig Out - Channel 3
#        91_4ck_4.jpg      Picture: 9100 Scope Sig Out - Channel 4
#        91_4ck_5.jpg      Picture: DC Volts Con. - Ch 1 and Aux trig in
#        91_4ck_6.jpg      Picture: Main Trigger Out
#        91_4ck_7.jpg      Picture: Delay Trigger Out
#        91_4ck_8.jpg      Picture: Signal/Source Out Test
#
#@ Additional Equipment Required:
#@       Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#@       Cable, coaxial, BNC(m)-(m), 36"
#@
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing : 60 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  9100         500MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

# Verify MET/CAL version compatibility.
  1.006  MATH         @ReqMetCalVersion = "7.20x"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.009  DISP         or later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         UUT IDENTIFICATION
  1.019  TARGET
  1.020  CALL         Sub TDS500/600/700 Setup IEEE
  1.021  IEEE2        *RST;DESE 61
  1.022  WAIT         -t 4 System Initializing ...
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.024  MATH         Model = "TDS 520"
# Make sure correct UUT is connected.
  1.025  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.026  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.027  IF           NOT(L[1]) || NOT(L[2])
  1.028  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.028  DISP         not a Tektronix [V Model]!
  1.029  END
  1.030  ENDIF

  1.031  HEAD         EQUIPMENT REQUIREMENTS
  1.032  OPBR         -z Do you want to REVIEW the list of additional
  1.032  OPBR         equipment and/or accessories required?

  1.033  IF           MEM1
  1.034  DISP         The following additional equipment and/or accessories
  1.034  DISP         are required:
  1.034  DISP
  1.034  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.034  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.034  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.035  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    8.   BANDWIDTH(CH2)                     SAMPLE RATE AND DELAY TIME ACC
#    9.   BANDWIDTH(CH3)                     DELTA TIME MEASUREMENT ACCURACY
#   10.   BANDWIDTH(CH4)                     TIME ACC OF PULSE WIDTH TRIG(CH1)
#   11.   SAMPLE RATE AND DELAY TIME ACC     TRIG LEVEL ACCURACY(CH1)
#   12.   DELTA TIME MEASUREMENT ACCURACY    EDGE-TRIGGER SENSITIVITY(CH1)
#   13.   TIME ACC OF PULSE WIDTH TRIG(CH1)  BANDWIDTH(CH2)
#   14.   TRIG LEVEL ACCURACY(CH1)           EDGE-TRIGGER SENSITIVITY(CH2)
#   15.   EDGE-TRIGGER SENSITIVITY(CH1)      BANDWIDTH(CH3)
#   16.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH3)
#   17.   EDGE-TRIGGER SENSITIVITY(CH3)      BANDWIDTH(CH4)
#   18.   EDGE-TRIGGER SENSITIVITY(CH4)      EDGE-TRIGGER SENSITIVITY(CH4)
#   19.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

# Note 2: Some tests in the performance test manual were listed but not done
# because the UUT doesn't support the PAIred Cursor function. This function
# must be used in this procedure in order it can get the required measurement
# reading. Other available cursor function can not make it. Now the skipped
# tests include accuracy of offset and delay between channels. Sample rate
# and delay time accuracy test was done with operator evaluation mode.

  1.036  CALL         Sub TDS500 Specifications
  1.037  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.038  JMPL         END                          @Abort
  1.039  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.040  JMPL         END                          @Abort

# Specify channel to test.
  1.041  MATH         @Chan = 1
  1.042  CALL         Sub TDS520 (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /9100
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub TDS520 (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /9100
  1.045  MATH         @Chan = 3
  1.046  CALL         Sub TDS520 (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /9100
  1.047  MATH         @Chan = 4
  1.048  CALL         Sub TDS520 (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /9100

  1.049  MATH         @Chan = 1
  1.050  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /9100+Opt600
  1.051  JMPL         TIMEBASE_TRIGGER

  1.052  LABEL        BANDWIDTH_CH2
  1.053  MATH         @Chan = 2
  1.054  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /9100+Opt600
  1.055  JMPL         TRIG_SENS_CH2

  1.056  LABEL        BANDWIDTH_CH3
  1.057  MATH         @Chan = 3
  1.058  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /9100+Opt600
  1.059  JMPL         TRIG_SENS_CH3

  1.060  LABEL        BANDWIDTH_CH4
  1.061  MATH         @Chan = 4
  1.062  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /9100+Opt600
  1.063  JMPL         TRIG_SENS_CH4

  1.064  LABEL        TIMEBASE_TRIGGER
  1.065  MATH         @Chan = 1
  1.066  CALL         Sub TDS500 (1 yr) Time Base IEEE /9100+Opt600
  1.067  CALL         Sub TDS500 (1 yr) Delta Time IEEE /9100+Opt600
  1.068  CALL         Sub TDS500 (1 yr) Trig Time Acc IEEE /9100+Opt600
  1.069  CALL         Sub TDS500 (1 yr) Trig Level Acc IEEE /9100+Opt600
  1.070  CALL         Sub TDS500 (1 yr) Sens IEEE /9100+Opt600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.071  OPBR         -z Each channel trig sensitivity test will take about
  1.071  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.071  OPBR         channels to save time, unless desired.
  1.071  OPBR
  1.071  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.071  OPBR         3, and 4?
  1.072  MATH         @TestCh234Sens = MEM1
  1.073  JMPL         BANDWIDTH_CH2

  1.074  LABEL        TRIG_SENS_CH2

  1.075  IF           @TestCh234Sens
  1.076  MATH         @Chan = 2
  1.077  CALL         Sub TDS500 (1 yr) Sens IEEE /9100+Opt600
  1.078  ENDIF

  1.079  JMPL         BANDWIDTH_CH3

  1.080  LABEL        TRIG_SENS_CH3

  1.081  IF           @TestCh234Sens
  1.082  MATH         @Chan = 3
  1.083  CALL         Sub TDS500 (1 yr) Sens IEEE /9100+Opt600
  1.084  ENDIF

  1.085  JMPL         BANDWIDTH_CH4

  1.086  LABEL        TRIG_SENS_CH4

  1.087  IF           @TestCh234Sens
  1.088  MATH         @Chan = 4
  1.089  ENDIF

  1.090  CALL         Sub TDS500 (1 yr) Sens IEEE /9100+Opt600

  1.091  CALL         Sub TDS500 (1 yr) Probe Comp IEEE /9100

  1.092  LABEL        END
  1.093  IEEE2        *RST;DESE 61

  1.094  IF           @Abort
  1.095  DISP         V E R I F I C A T I O N   A B O R T E D
  1.096  ELSE
  1.097  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.098  ENDIF

  1.099  END

